# Yii 2 Basic + Vue3 + Vite

Болванка для проекта с серверной частью на Yii2, к клиентской - на Vue3.
Сборщик - Vite. База данных - PostgreSQL

Для разработки нужен запущенный на компьютере Docker

### Установка

--- 

#### Yii2

- composer install

---

#### Vue3

- cd vue3
- npm i

### Запуск

- make init

### Доступ

Доступ к сайту по ссылке (изменить можно в docker-compose.yml):

- http://localhost:8001

Доступ к разработке на Vue3 (после запуска команды dev из package.json):

- http://localhost:5173

### Особенности

Доступ к консольным командам

- docker-compose run --rm php composer install

Если не запускается в контейнере PostgreSQL на Windows, то выполните последовательно указанные ниже команды и повторите запуск

- net stop winnat
- net start winnat